
QGIS Application - Bug report #17539

I can only create one spatial Bookmark in current master

2017-11-23 01:49 PM - Richard Duivenvoorde

Status: Closed

Priority: High

Assignee: Alessandro Pasotti

Category: GUI

Affected QGIS version:master Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25436

Description

Creating a new project, and for example add some wms layers like:

qgis.utils.iface.addRasterLayer(

"tileMatrixSet=EPSG:28992&crs=EPSG:28992&layers=brtachtergrondkaart&styles=&format=image/png&url=http://geodata.nationaalge

register.nl/tiles/service/wmts/brtachtergrondkaart", # uri

"wmts master example", # name for layer (as seen in QGIS)

"wms" # dataprovider key

)

zooming in and create a bookmark (and not adding a name), I cannot add a new bookmark anymore. Nor via Menu, nor via Ctrl-B

Tested on a fresh build on Debian, and a fresh nightly on Windows today.

Also tested both with an existing profile AND a super fresh one.

Related issues:

Duplicates QGIS Application - Bug report # 16986: a new bookmark is apparentl... Closed 2017-08-08

Associated revisions

Revision 7e711f13 - 2017-11-29 12:35 PM - Alessandro Pasotti 

[bugfix] Fix broken bookmarks

Fixes #17539 I can only create one spatial Bookmark in current master

In fact there were other bugs (like loosing SRID when converting

to "in project").

History

#1 - 2017-11-23 02:07 PM - Richard Duivenvoorde

- File bookmar.png added

Some extra testing:

- I can remove the one issue, and then create a new one.

- there is a checkbox 'In Project' which I cannot edit?
#2 - 2017-11-23 02:44 PM - Harrissou Santanna

I confirm: I neither can check it. Last week, it was possible to check that box but it resulted in #17472 (on Windows 10)

There are some general issues with bookmarks creation, update, removal that render the tool less usable:

#3 - 2017-11-23 02:50 PM - Harrissou Santanna

I confirm: I neither can check it.

Oups, sorry. I realized that no project was open in the QGIS instance I was trying to check the bookmark's box in. Opening a project made the checkbox

available here. But I can't uncheck those already checked.

#4 - 2017-11-24 01:59 PM - Giovanni Manghi

- Priority changed from Normal to High

- Regression? changed from No to Yes

#5 - 2017-11-28 03:50 PM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

looking ...

#6 - 2017-11-28 04:59 PM - Richard Duivenvoorde

@Alessandro, see also https://lists.osgeo.org/pipermail/qgis-developer/2017-November/050696.html

I think the actual functionality/user experience is a little smelly too

#7 - 2017-11-29 08:49 AM - Alessandro Pasotti

- Status changed from Open to In Progress

Thanks Richard, I saw that email. Btw, the whole bookmarks functionality was badly broken in master, I'm almost done with fixing it, I'll commit soon.

#8 - 2017-11-29 12:37 PM - Alessandro Pasotti

- Pull Request or Patch supplied changed from No to Yes

PR https://github.com/qgis/QGIS/pull/5765

#9 - 2017-11-29 12:56 PM - Anonymous

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

Applied in changeset commit:qgis|7e711f1380b9960193d276f38a7dbaad2b3ed98c.
#10 - 2017-11-29 02:06 PM - Richard Duivenvoorde

- Status changed from Closed to Reopened

Reopening, as still things are not going well.

First: thanks for showing the actual epsg-code in the SRID table now!! Much better then the internal crs id it was before!

Things that go wrong with me here:

1) checkbox is not checkable unless you restart QGIS. To reproduce:

- make sure you do not have any profile info (I removed .qgis2, ~/.local/share/QGIS AND .config/QGIS)

- open QGIS, add a layer to the fresh project

- create a bookmark

- checkbox is (rightfully) uncheckable/inactive because the project is not named/saved yet

- now save the project by giving it a name

- the checkbox does not become checkable

- not even if you start a new project, and then reopen the first project

- it becomes checkable when you close QGIS and open the project again

2) as soon as you have opened one project, you can use the checkboxes, BUT if you create a new project and select one of the earlier bookmarks (which

should not be checkable, as there is NOT a saved project), and you check some bookmarks, AND close QGIS without saving the project to disk. Then

open QGIS and the bookmarks are gone (and nowhere saved....)

As said earlier, I think there has not been enough thought one how this could/should be used and all the implications of checking/deleting bookmarks.

Not sure if above issues are fixable easily (I doubt), but current model-merging is not optimal (to be positive). I would think that there should actually 2

tables in the Spatial Bookmarks Panel: one for global bookmarks (saved in qgis.sqlite) and one saved in the project/project file. Then you can ONLY copy a

bookmark from one table to the other, and ONLY delete it in one of the two tables (being the qgis-model and the project-model). Opening a fresh project

opens (off course) the qgis-model and a fresh project-model. Opening an excisting project opens both.

No need for merging or synchronizing (which is always hell)...

Thoughts?

#11 - 2017-11-29 02:13 PM - Alessandro Pasotti

First, instead of re-opening this ticket (whose title and description are "I can only create one spatial..." and appears to be actually fixed) you should create

separate tickets, for separate issues.

Thas said, I agree that the current merged model is a bit overcomplicated: it took me a while to fix it.

But please, close this one and file another ticket, I'll see what I can do to fix the "in project" issue while I'm am fresh.

#12 - 2017-11-29 02:33 PM - Richard Duivenvoorde

- Status changed from Reopened to Closed

See #17584

Closing this one as THIS actual issue is fixed.
#13 - 2017-11-29 02:41 PM - Alessandro Pasotti

- Duplicates Bug report #16986: a new bookmark is apparently not created after the first one, if only QGIS bookmarks are present added

#14 - 2017-11-30 04:27 AM - Giovanni Manghi

- Resolution set to fixed/implemented

Files

bookmar.png 19.6 KB 2017-11-23 Richard Duivenvoorde
